DROP DATABASE IF EXISTS TRONOS;
CREATE DATABASE TRONOS;

USE TRONOS;

/* CREACIÓN DE TABLAS */
CREATE TABLE FAMILIA(
	nombre VARCHAR(20),
	lema VARCHAR(50),
	heraldica VARCHAR(70),
	zona VARCHAR(30),
	PRIMARY KEY(nombre)
);
DESC FAMILIA;
CREATE TABLE RELIGION(
	ID INT AUTO_INCREMENT,
	PRIMARY KEY(ID)
);
DESC RELIGION;
CREATE TABLE ANTIGUA(
	IDRELIGION INT,
	FOREIGN KEY(IDRELIGION) REFERENCES RELIGION(ID)
);
DESC ANTIGUA;
CREATE TABLE DIOSES(
	IDRELIGION_ANTIGUA INT,
	dioses VARCHAR(20),
	FOREIGN KEY(IDRELIGION_ANTIGUA) REFERENCES ANTIGUA(IDRELIGION)
);
DESC DIOSES;
CREATE TABLE PERSONA(
	nombre VARCHAR(20),
	titulo VARCHAR(20),
	area ENUM('7 Reinos','El Muro','El Este'),
	edad TINYINT UNSIGNED,
	nombreFAMILIA VARCHAR(20),
	IDRELIGION INT,
	PRIMARY KEY(nombre),
	FOREIGN KEY(nombreFAMILIA) REFERENCES FAMILIA(nombre),
	FOREIGN KEY(IDRELIGION) REFERENCES RELIGION(ID)
);
DESC PERSONA;
CREATE TABLE NUEVA(
	IDRELIGION INT,
	eleccion ENUM('Rhllor','El Gran Otro'),
	nombrePERSONA VARCHAR(20),
	FOREIGN KEY(nombrePERSONA) REFERENCES PERSONA(nombre)
);
DESC NUEVA;
CREATE TABLE RELACIONA(
	nombrePERSONAprincipal VARCHAR(20),
	nombrePERSONAsecundaria VARCHAR(20),
	tipo VARCHAR(20),
	FOREIGN KEY(nombrePERSONAprincipal) REFERENCES PERSONA(nombre),
	FOREIGN KEY(nombrePERSONAsecundaria) REFERENCES PERSONA(nombre)
);
DESC RELACIONA;

/* INSERTAR VALORES EN LA TABLA */
INSERT INTO FAMILIA VALUES('Stark','Winter is incoming','../img/stark.png','Invernalia');










